Skip to main content
DELETE
/
sources
/
{sourceKey}
/
v1
/
resources
/
{resourceType}
/
{id}
Delete a resource from the registry
curl --request DELETE \
  --url https://api.{workspaceId}.clinia.cloud/sources/{sourceKey}/v1/resources/{resourceType}/{id} \
  --header 'X-Clinia-API-Key: <api-key>'
{
  "taskId": "<string>",
  "status": "ACCEPTED"
}

Documentation Index

Fetch the complete documentation index at: https://docs.clinia.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Clinia-API-Key
string
header
required

Path Parameters

sourceKey
string
required

The key of the source.

resourceType
string
required

Type of the resource. Key of the profile.

id
string
required

Id of the resource.

Response

A successful response with a status 'PERSISTED'.

Response when a task has been accepted for asynchronous processing. The task will be executed in the background.

taskId
string
required
read-only

The task identifier. Used to track an async task in the system. Use the task ID to poll for completion status. The taskId holds different prefix to represent different tasks.

  • oneOf task: s_<id>.
  • bulk task: bk_<id> (deprecated: <id> only).
  • bundle task: bd_<id> (deprecated: <id> only).
  • purge task: pg_<id> (deprecated: purge:<id>).
status
enum<string>
required
read-only

Status of the task submission.

  • ACCEPTED: The task has been accepted for asynchronous processing. The task will be executed in the background.
  • PERSISTED: The task has been executed synchronously and the results are immediately persisted.
Available options:
ACCEPTED,
PERSISTED